
/*! ============================================================================= */

/*! "Go to top" button. */

/*! ============================================================================= */
.go-to-top-button {
	position: fixed;
	bottom: 20px;
	right: 20px;
	color: #ccc;
	line-height: 1;
	z-index: 120;
	font-size: 0;
	visibility: hidden;
	will-change: opacity, visibility, color;
	opacity: 0;
	transition: color 250ms, opacity 250ms, visibility 250ms;
}

.go-to-top-button:hover {
	opacity: inherit;
	color: #a6a6a6;
}

.go-to-top-button svg {
	font-size: 40px;
	stroke-width: 1px;
}

.go-to-top-button--visible {
	visibility: visible;
	opacity: 1;
}

.go-to-top-button--overlapping-container {
	visibility: hidden;
	opacity: 0;
}
